commit 65b193aead57466955946e00de1380934b2e887e
Author: jklowden <jklowden>
Date:   Thu Apr 9 01:40:25 2009 +0000

    apply patch from Craig A. Berry ML 8 April 2009

diff --git a/ChangeLog b/ChangeLog
index 791cdf8..fd6fc1c 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,9 @@
+Wed Apr  8 21:35:02 EDT 2009	JK Lowden <jklowden@freetds.org>
+	* include/fakepoll.h src/dblib/unittests/common.c
+	* vms/config_h.vms vms/descrip_mms.template
+	- apply patch from Craig A. Berry ML 8 April 2009
+	* doc/userguide.sgml document ASA Servername
+
 Fri Mar 27 10:22:22 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/tds/net.c: remove warning and check
 
@@ -1455,4 +1461,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2763 2009/03/27 09:22:48 freddy77 Exp $
+$Id: ChangeLog,v 1.2764 2009/04/09 01:40:25 jklowden Exp $
diff --git a/include/fakepoll.h b/include/fakepoll.h
index e81f9ad..7315555 100644
--- a/include/fakepoll.h
+++ b/include/fakepoll.h
@@ -1,4 +1,4 @@
-/* $Id: fakepoll.h,v 1.1 2009/01/07 02:58:32 jklowden Exp $ */
+/* $Id: fakepoll.h,v 1.2 2009/04/09 01:40:25 jklowden Exp $ */
 #if !defined(_FAKE_POLL_H) && !defined(HAVE_POLL)
 #define _FAKE_POLL_H
 
@@ -19,6 +19,10 @@
 #include <winsock2.h>
 #endif
 
+#if defined(__VMS)
+#include <time.h> /* FD_SETSIZE is in here */
+#endif
+
 #if !defined(FD_SETSIZE)
 # if !defined(OPEN_MAX)
 # error cannot establish FD_SETSIZE
diff --git a/src/dblib/unittests/common.c b/src/dblib/unittests/common.c
index cc5549d..fc77c39 100644
--- a/src/dblib/unittests/common.c
+++ b/src/dblib/unittests/common.c
@@ -14,7 +14,7 @@
 
 #include "replacements.h"
 
-static char software_version[] = "$Id: common.c,v 1.31 2009/03/19 15:09:56 freddy77 Exp $";
+static char software_version[] = "$Id: common.c,v 1.32 2009/04/09 01:40:25 jklowden Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 typedef struct _tag_memcheck_t
@@ -110,12 +110,25 @@ read_login_info(int argc, char **argv)
 	static const char *PWD = "../../../PWD";
 	struct { char *username, *password, *servername, *database; char fverbose; } options;
 	
-	BASENAME = tds_basename((char *)argv[0]);
-#ifdef WIN32
+#ifdef __VMS
+	{
+		/* basename expects unix format */
+		strncpy(filename, argv[0],  PATH_MAX);
+		s1 = strrchr(filename, ';'); /* trim version; extension trimmed later */
+		if (s1) *s1 = 0;
+		const char *unixspec = decc$translate_vms(filename);
+		strncpy(filename, unixspec,  PATH_MAX);
+	}
+#else
+	strncpy(filename, argv[0],  PATH_MAX);
+#endif
+	
+	BASENAME = tds_basename(filename);
+#if defined(WIN32) || defined(__VMS)
 	s1 = strrchr(BASENAME, '.');
 	if (s1) *s1 = 0;
 #endif
-	DIRNAME = dirname((char *)argv[0]);
+	DIRNAME = dirname(filename);
 	
 	memset(&options, 0, sizeof(options));
 	
diff --git a/vms/config_h.vms b/vms/config_h.vms
index 6b847ab..f727dd6 100644
--- a/vms/config_h.vms
+++ b/vms/config_h.vms
@@ -1,4 +1,4 @@
-/* $Id: config_h.vms,v 1.9 2008/07/17 11:52:35 freddy77 Exp $ */
+/* $Id: config_h.vms,v 1.10 2009/04/09 01:40:25 jklowden Exp $ */
 
 /* include/config.h.in.  Generated from configure.ac by autoheader.  */
 /* and edited by hand for VMS */
@@ -279,8 +279,6 @@
 
 /* Additions below not originally from config.h.in */
 
-#define _FREETDS_LIBRARY_SOURCE
-
 /* This really just needs to be the current working directory for the tests */
 #define FREETDS_SRCDIR "."
 
diff --git a/vms/descrip_mms.template b/vms/descrip_mms.template
index 8d9fe9f..0799528 100644
--- a/vms/descrip_mms.template
+++ b/vms/descrip_mms.template
@@ -16,7 +16,7 @@
 # Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 # Boston, MA 02111-1307, USA.
 # 
-# $Id: descrip_mms.template,v 1.13 2008/05/22 03:53:18 jklowden Exp $
+# $Id: descrip_mms.template,v 1.14 2009/04/09 01:40:25 jklowden Exp $
 
 # OpenVMS description file for FreeTDS
 
@@ -71,17 +71,17 @@ CC = CC/DECC
 .SUFFIXES : $(E) $(OLB) $(OBJ) .C .H
 
 .IFDEF ODBC
-CDEFINE = "$(TDSVER)","HAVE_CONFIG_H"=1,"UNIXODBC"
+CDEFINE = "$(TDSVER)","HAVE_CONFIG_H"=1,_FREETDS_LIBRARY_SOURCE=1,"UNIXODBC"
 CODBCFLAGS = /NAMES=(AS_IS,SHORTENED)
 .ELSE
-CDEFINE = $(TDSVER),HAVE_CONFIG_H=1
+CDEFINE = $(TDSVER),HAVE_CONFIG_H=1,_FREETDS_LIBRARY_SOURCE=1
 CODBCFLAGS = /NAMES=SHORTENED
 .ENDIF
 CPREFIX = ALL
-CINCLUDE = "./","./include","./src/tds"$(ODBC_INC)
+CINCLUDE = "./","./include"$(ODBC_INC)
 
 .IFDEF __DEBUG__
-CDBGFLAGS = /DEBUG/NOOPTIMIZE/LIST=$(MMS$TARGET_NAME)/SHOW=ALL
+CDBGFLAGS = /DEBUG/NOOPTIMIZE/LIST=$(MMS$TARGET_NAME)/SHOW=(EXPANSION,INCLUDE)
 LDBGFLAGS = /DEBUG/MAP
 .ELSE
 CDBGFLAGS =
@@ -106,10 +106,10 @@ STRTOK_ROBJ = @STRTOK_ROBJ@
 LIBICONVOBJ = @LIBICONVOBJ@
 SNPRINTFOBJ = @SNPRINTFOBJ@
 
-TDSOBJS = [.src.tds]challenge$(OBJ), [.src.tds]config$(OBJ), [.src.tds]convert$(OBJ), \
-	[.src.tds]data$(OBJ), [.src.tds]des$(OBJ), [.src.tds]getmac$(OBJ), \
-	[.src.tds]iconv$(OBJ), [.src.tds]locale$(OBJ), [.src.tds]login$(OBJ), \
-	[.src.tds]md4$(OBJ), [.src.tds]mem$(OBJ), [.src.tds]numeric$(OBJ), \
+TDSOBJS = [.src.tds]bulk$(OBJ), [.src.tds]challenge$(OBJ), [.src.tds]config$(OBJ), \
+	[.src.tds]convert$(OBJ), [.src.tds]data$(OBJ), [.src.tds]des$(OBJ), [.src.tds]getmac$(OBJ), \
+	[.src.tds]gssapi$(OBJ), [.src.tds]hmac_md5$(OBJ), [.src.tds]iconv$(OBJ), [.src.tds]locale$(OBJ), \
+	[.src.tds]login$(OBJ), [.src.tds]md4$(OBJ), [.src.tds]mem$(OBJ), [.src.tds]numeric$(OBJ), \
 	[.src.tds]query$(OBJ), [.src.tds]read$(OBJ), [.src.tds]tdsstring$(OBJ), \
 	[.src.tds]threadsafe$(OBJ), [.src.tds]token$(OBJ), [.src.tds]util$(OBJ), \
 	[.src.tds]vstrbuild$(OBJ), [.src.tds]write$(OBJ), [.src.tds]md5$(OBJ), \
@@ -573,7 +573,7 @@ odbctests : [.src.odbc.unittests]t0001$(E) [.src.odbc.unittests]t0002$(E) [.src.
 	link$(LINKFLAGS)/exe=$(MMS$TARGET) $(MMS$SOURCE_LIST),[]libtds$(OLB)/library
 
 [.src.tds.unittests]convert$(OBJ) : [.src.tds.unittests]convert.c
-	$(CC) $(CFLAGS)/NOWARN/INCLUDE=([.src.tds.unittests],$(CINCLUDE)) $(CDBGFLAGS) $(MMS$SOURCE)
+	$(CC) $(CFLAGS)/NOWARN/INCLUDE=([.src.tds.unittests],$(CINCLUDE),[.src.tds]) $(CDBGFLAGS) $(MMS$SOURCE)
 
 [.src.tds.unittests]dataread$(E) : [.src.tds.unittests]dataread$(OBJ) [.src.tds.unittests]common$(OBJ)
 	link$(LINKFLAGS)/exe=$(MMS$TARGET) $(MMS$SOURCE_LIST),[]libtds$(OLB)/library

